import java.util.*;
import java.io.*;

public class euclid_ft_slow implements Runnable {

	Scanner in;
	PrintWriter out;

	private void solveOne() {
		long a = in.nextLong();
		long b = in.nextLong();
		long c = in.nextLong();
		long d = in.nextLong();

		while (true) {
		    if ((a == c) && (b == d)) {
		    	out.println("YES");
		    	return;
		    }
			if (b == 0) break;
			if (b > a) {
				long t = a;
				a = b;
				b = t;
				continue;
			}
//			System.out.println(a + " " + b);
			a = a - b;
//			System.out.println(a + " " + b);
		}

		out.println("NO");

	}

	private void solve() {
		int k = in.nextInt();
		for (int i = 0; i < k; i++) {
			solveOne();
		}
	}

	public void run() {
		try {
			solve();
		} catch (Exception e) {
			e.printStackTrace();
			System.exit(1);
		} finally {
			out.close();
		}
	}

	public euclid_ft_slow(String taskName) {
		try {
			in = new Scanner(new File(taskName + ".in"));
			out = new PrintWriter(new File(taskName + ".out"));
		} catch (IOException ioe) {
			ioe.printStackTrace();
			System.exit(1);
		}
	}

	public static void main(String[] args) {
		(new Thread(new euclid_ft_slow("euclid"))).start();
	}

}