#include <cstdio>
#include <cstdlib>
#include <cstring>

const int MaxD = 100, Base = 10000;

typedef short Long[MaxD + 1];

Long a, b, c;

void writeLong(Long a)
{
	printf("%d", a[a[0]]);
	for (int i = a[0] - 1; i >= 1; i--)
		printf("%04d", a[i]);
	printf("\n");
}

void addLong(Long a, Long b, Long c)
{
	memset(c, 0, sizeof(Long));
	int k = a[0] > b[0] ? a[0] : b[0];
	for (int i = 1; i <= k; i++)
	{
		c[i + 1] = (a[i] + b[i] + c[i]) / Base;
		c[i] = (a[i] + b[i] + c[i]) % Base;
	}
	if (c[k + 1] > 0)
		c[0] = k + 1;
	else
		c[0] = k;
}

int main()
{
	freopen("section.in", "r", stdin);
	freopen("section.out", "w", stdout);
	int n;
	scanf("%d", &n);
	a[0] = a[1] = 1;
	b[0] = b[1] = 1;
	for (int i = 2; i <= n; i++)
	{
		addLong(a, b, c);
		memcpy(a, b, sizeof(Long));
		memcpy(b, c, sizeof(Long));
	}
	writeLong(b);
	writeLong(a);
	return 0;
}
