#include <stdio.h>
#include <stdlib.h>

int a[1001][1001];
int tail=0,head=0,Q[1000];

void in(int x)
{
 Q[tail]=x;
 tail++;
}

int out()
{
 int i;
 i=Q[head];;
 head++;
 return i;
}

void BFS_Visit( int n, int s, int *rast, int *colour)
{
 int i;
 for (i=1;i<n+1;i++)
 {
  if ((a[i][s]==1)&&(colour[i]==-1))
  {
   in(i);
   colour[i]=0;
   rast[i]=rast[s]+1;
  }
 }
 colour[s]=1;
 if (head!=tail) BFS_Visit(n,out(),rast,colour);
}

int BFS(int n, int s,int t, int *rast, int *colour)
{
 int i;
 for (i=1;i<n+1;i++)
 {
  colour[i]=-1;
  rast[i]=-1;
 }
 rast[s]=0;
 colour[s]=0;
 BFS_Visit(n,s,rast,colour);
 return rast[t];
}

int main()
{
 int q,s,t,i,j,h,n,m,u,g,*rast, *colour;
 freopen ("burrow.in","re",stdin);
 freopen ("burrow.out","w+",stdout);
 scanf ("%d%d%d",&n,&t,&s);
 rast=(int*)malloc((n+1)*sizeof(int));
 colour=(int*)malloc((n+1)*sizeof(int));
 for (i=1;i<n+1;i++)
 {
  for (j=0;j<n+1;j++)
  {
   a[i][j]=0;
  }
 }
 for (i=1;i<n+1;i++)
 {
  scanf ("%d%d%d",&h,&u,&g);
  a[i][h]=1;
  a[i][g]=1;
  a[i][u]=1;
 }
 q=BFS(n,s,t,rast,colour);
 printf ("%d",q);
 return 0;
}