#include <stdio.h>
#include <mem.h>
#define test "section"
#define MaxN 1000
#define MaxLen 1000

struct bignum
{
	int num[MaxLen];
	int len;
};

int n;
__int64 f[MaxN + 1];

void init_bignum(bignum &x, int y);
void sum_bignum(bignum &a, bignum &b, bignum &c);
void write_bignum(bignum &x);
void copy_bignum(bignum &x, bignum &y);

int main()
{
	int n, i;
	bool start = true;
	bignum f1, f2, f3;
        freopen(test ".in", "r", stdin);
	freopen(test ".out", "w", stdout);
	scanf("%d", &n);
	if (n == 1)
	{
		printf("1\n1\n");
		return 0;
	}
	if (n == 2)
	{
		printf("2\n1\n");
		return 0;
	}
	init_bignum(f1, 1);
	init_bignum(f2, 2);
	for (i = 3; i <= n;i ++)
	{
		sum_bignum(f1, f2, f3);
		//write_bignum(f3);
		copy_bignum(f2, f1);
		copy_bignum(f3, f2);
	}
	write_bignum(f3);
	write_bignum(f1);
        
	return 0;
}

void init_bignum(bignum &x, int y)
{
	memset(x.num, 0, sizeof(x.num));
	x.len = 1; x.num[0] = y;	
}

void sum_bignum(bignum &a, bignum &b, bignum &c)
{
	int i, curr, r = 0;
	c.len = ((a.len > b.len) ? a.len : b.len) + 1;
	for (i = 0; i < c.len; i ++)
	{
		curr = (i < a.len) * a.num[i] + (i < b.len) * b.num[i] + r;
		r = curr / 10;
		c.num[i] = curr % 10;
	}
	if (c.num[c.len - 1] == 0)
		c.len --;
}

void write_bignum(bignum &x)
{
	int i;
	for (i = x.len - 1; i >= 0; i --)
		printf("%d", x.num[i]);
	printf("\n");
}

void copy_bignum(bignum &x, bignum &y)
{
	int i;
	y.len = x.len;
	for (i = 0; i < x.len ; i ++)
		y.num[i] = x.num[i];
}
