#include <stdio.h>
#define task "euclid"

int T;

__int64 gcd(__int64 a, __int64 b);
bool search(__int64 a, __int64 b, __int64 c, __int64 d);

int main()
{
	__int64 a, b, c, d;
	__int64 n, m;
	int t;
	freopen(task ".in", "r", stdin);
	freopen(task ".out", "w", stdout);
	scanf("%d", &T);
	for (t = 0; t < T; t ++)
	{
		scanf("%I64d%I64d%I64d%I64d", &a, &b, &c, &d);
		n = gcd(a, b); m = gcd(c, d);
		if (n != m)
		{
			printf("NO\n");
		}
		else
		{
			if (search(a, b, c, d))
				printf("YES\n");
			else
				printf("NO\n");
		}
	}
	return 0;
}

__int64 gcd(__int64 a, __int64 b)
{
	__int64 tmp;
	if (b > a)
	{
		tmp = a; a = b; b = tmp;
	}
	while (b != 0)
	{
		tmp = b;
		b = a % b;
		a = tmp;
	}
	return a;
}

bool search(__int64 a, __int64 b, __int64 c, __int64 d)
{
	__int64 tmp;
	if (b > a)
	{
		tmp = a; a = b; b = tmp;
	}
	if (d > c)
	{
		tmp = c; c = d; d = tmp;
	}
	while (!(a == c && b == d))
	{
		if (c >= a || d > b)
			return false;
		if (b == d)
		{
			if (b == 0)
			{
				return false;
			}
			else
			{
				if ((a - c) % b == 0)
					return true;
				else
					return false;
			}
		}
		else
		{
			tmp = b;
			b = a % b;
			a = tmp;
		}
		
	}
	return true;
}
