#include <cstdio>
#include <cstdlib>
#include <cstring>

long long c, d;
bool finished;

void gcd(long long a, long long b)
{
	if (finished)
		return;
	if (a == c && d == b)
	{
		finished = true;
		return;
	}
	if (b > a)
	{
		gcd(b, a);
		return;
	}
	if (b == 0 || a == 0)
		return;
	if (c <= a &&
		c % b == a % b &&
		d == b)
	{
		finished = true;
		return;
	}
	gcd(b, a % b);
}

int main()
{
	freopen("euclid.in", "r", stdin);
	freopen("euclid.out", "w", stdout);
	int k;
	scanf("%d", &k);
	for (int i = 0; i < k; i++)
	{
		long long a, b;
		scanf("%I64d%I64d%I64d%I64d",
					&a, &b, &c, &d);
		finished = false;
		gcd(a, b);
		if (finished)
			printf("YES\n");
		else
			printf("NO\n");
	}
	return 0;
}
