#include <stdio.h>
#include <mem.h>
#define task "burrow"
#define MaxN 1000
#define INF 100000

int n, x, y;
int a[MaxN][MaxN];
int w[MaxN];
bool was[MaxN];

int main()
{              
	int i, j, d, b, c, min, mini;
	freopen(task ".in", "r", stdin);
	freopen(task ".out", "w", stdout);	
	scanf("%d%d%d", &n, &x, &y);
	x --; y --;
	for (i = 0; i < n;i ++)
		for (j = 0; j < n; j++)
			a[i][j] = INF;
	for (i = 0; i < n;i ++)
	{
		scanf("%d%d%d", &d, &b, &c);
		a[i][d - 1] = 1; a[d - 1][i] = 1; 
		a[i][b - 1] = 1; a[b - 1][i] = 1;
		a[i][c - 1] = 1; a[c - 1][i] = 1;
	}	

	//for (i = 0; i < n;i ++)
	//	for (j = 0; j < n;j ++)
	//		printf("a[%d][%d] == %d\n", i, j, a[i][j]);
	
	memset(was, 0, sizeof(was));
	for (i = 0; i < n;i ++)
		w[i] = INF;
	w[x] = 0;
	for (i = 0; i < n;i ++)
	{
		min = INF; mini = -1;
		for (j = 0; j < n; j ++)
			if (!was[j] && w[j] < min)
			{
				min = w[j];
				mini = j;
			}
		//printf("mini == %d\n", mini);
		if (mini == -1)
			break;
		was[mini] = true;
		for (j = 0; j < n;j ++)
		{
			if (!was[j] && w[j] > w[mini] + a[mini][j])
				w[j] = w[mini] + a[mini][j];
		}
	}
	//for (i = 0; i < n;i ++)
	//	printf("w[%d] == %d\n", i, w[i]);
	if (w[y] == INF || !was[y])
		printf("-1\n");
	else
		printf("%d\n", w[y]);
	
	return 0;
}
